ProcedureCache.CacheEntry (jTDS API)
Keywords: net.sourceforge.jtds.jdbc.cache.ProcedureCache.CacheEntry class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.jdbc.cache
Class ProcedureCache.CacheEntry

    java.lang.Object
      net.sourceforge.jtds.jdbc.cache.ProcedureCache.CacheEntry

Enclosing class:
  ProcedureCache

private static class ProcedureCache.CacheEntry
extends java.lang.Object

Encapsulates the cached Object and implements the linked list used to implement the LRU logic.

Field Summary
`(package private) java.lang.String` | `key`
`(package private) ProcedureCache.CacheEntry` | `next`
`(package private) ProcedureCache.CacheEntry` | `prior`
`(package private) ProcEntry` | `value`

Constructor Summary
`(package private)` | `ProcedureCache.CacheEntry(java.lang.String key, ProcEntry value)` Constructs a new cache entry encapsulating the supplied key and value.

Method Summary
`(package private) void` | `link(ProcedureCache.CacheEntry ce)` Links this CacheEntry into the linked list after the node specified.
`(package private) void` | `unlink()` Unlinks this CacheEntry from the linked list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### key

    java.lang.String key

### value

    ProcEntry value

### next

    ProcedureCache.CacheEntry next

### prior

    ProcedureCache.CacheEntry prior

Constructor Detail

### ProcedureCache.CacheEntry

    ProcedureCache.CacheEntry(java.lang.String key,
                              ProcEntry value)

  Constructs a new cache entry encapsulating the supplied key and value.

Parameters:
  `key` - key used to identify the cache entry
  `value` - object being cached

Method Detail

### unlink

    void unlink()

  Unlinks this CacheEntry from the linked list.

### link

    void link(ProcedureCache.CacheEntry ce)

  Links this CacheEntry into the linked list after the node specified.

  Parameters:
    `ce` - node after which this entry will be linked

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009